localeToCharset {utils} | R Documentation

## Select a Suitable Encoding Name from a Locale Name

### Description

This functions aims to find a suitable coding for the locale named, by default the current locale, and if it is a UTF-8 locale a suitable single-byte encoding.

### Usage

    localeToCharset(locale = Sys.getlocale("LC_CTYPE"))

### Arguments

`locale` | character string naming a locale.

### Details

The operation differs by OS. Locale names are normaly like `es_MX.iso88591`. If final component indicates an encoding and it is not `utf8` we just need to look up the equivalent encoding name. Otherwise, the language (here `es`) is used to choose a primary or fallback encoding.

In the `C` locale the answer will be `"ASCII"`.

### Value

A character vector naming an encoding and possibly a fallback single-encoding, `NA` if unknown.

### Note

The encoding names are those used by `libiconv`, and ought also to work with `glibc` but maybe not with commercial Unixen.

### See Also

`Sys.getlocale`, `iconv`.

### Examples

    localeToCharset()

[Package utils version 2.8.1 Index]